# setProperty

abstract fun setProperty(name: String, @Nullable value: @Nullable Any)

Sets a property of this project. This method searches for a property with the given name in the following locations, and sets the property on the first location where it finds the property.

1. The project object itself. For example, the `rootDir` project property.
2. The project's extra properties.

If the property is not found, a groovy.lang.MissingPropertyException is thrown.

#### Parameters

name

The name of the property

value

The value of the property